commit:     7c00ddc858c80ec1423621552e3cc1383335dbf1
Author:     Alexander Pavlov <t.x00100x.t <AT> yandex <DOT> ru>
AuthorDate: Fri Dec  8 13:00:02 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Dec 26 22:49:28 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c00ddc8

games-fps/serioussam-tse-data: new package, add 1.7-r1

Bug: https://bugs.gentoo.org/854567
Signed-off-by: Alexander Pavlov <t.x00100x.t <AT> yandex.ru>
[Rename patch. Use ED instead of D.]
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 games-fps/serioussam-tse-data/Manifest             |  1 +
 games-fps/serioussam-tse-data/metadata.xml         | 15 +++++
 .../serioussam-tse-data-1.7-r1.ebuild              | 70 ++++++++++++++++++++++
 3 files changed, 86 insertions(+)

diff --git a/games-fps/serioussam-tse-data/Manifest 
b/games-fps/serioussam-tse-data/Manifest
new file mode 100644
index 000000000000..d222b50890fd
--- /dev/null
+++ b/games-fps/serioussam-tse-data/Manifest
@@ -0,0 +1 @@
+DIST serioussamse-Patch_1.07_SE.tar.xz 33172 BLAKE2B 
bc185d0b504e7aa01862a57ba97691881e19d0031ac88187ec80fb52d8bd758c0dac6b932a333fa4f9df09264232ab87e97875a8ae7a58cd0816153a082ffc45
 SHA512 
1c0e2ac2503584d26ac7fc59f72b0dcb6903bfc4897acc5732b426fe691928c1f49839b3a893809e635e178e447aa72fb9969179806a1703d412c4ea321ca637

diff --git a/games-fps/serioussam-tse-data/metadata.xml 
b/games-fps/serioussam-tse-data/metadata.xml
new file mode 100644
index 000000000000..e76bc72b6a01
--- /dev/null
+++ b/games-fps/serioussam-tse-data/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Alexander Pavlov</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">tx00100xt/serioussam-mods</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/games-fps/serioussam-tse-data/serioussam-tse-data-1.7-r1.ebuild 
b/games-fps/serioussam-tse-data/serioussam-tse-data-1.7-r1.ebuild
new file mode 100644
index 000000000000..d978c109d7cc
--- /dev/null
+++ b/games-fps/serioussam-tse-data/serioussam-tse-data-1.7-r1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cdrom unpacker
+
+PATCH_PREFIX="Patch_1.07_SE"
+# Game name
+GN="serioussamse"
+
+DESCRIPTION="Croteam's Serious Sam Classic The Second Encounter ... the data 
files"
+HOMEPAGE="https://www.croteam.com/
+       
https://store.steampowered.com/app/41060/Serious_Sam_Classic_The_Second_Encounter/";
+SRC_URI="https://github.com/tx00100xt/serioussam-mods/raw/main/Patches/${PATCH_PREFIX}.tar.xz
 -> ${GN}-${PATCH_PREFIX}.tar.xz"
+S="${WORKDIR}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="bindist"
+
+pkg_setup() {
+       cdrom_get_cds "Install/SE1_00_Levels.gro"
+}
+
+src_unpack() {
+       mkdir Levels Mods || die "failed create dirs"
+       cat "${DISTDIR}/${GN}-${PATCH_PREFIX}.tar.xz" > 
"${PATCH_PREFIX}.tar.xz" \
+               || die "failed to copy patch 1.07"
+       unpack "${WORKDIR}/${PATCH_PREFIX}.tar.xz"
+}
+
+src_install() {
+       local dir="/usr/share/${GN}"
+
+       einfo "Copying from ${CDROM_ROOT}"
+       insinto "${dir}"
+       doins -r "${CDROM_ROOT}"/Install/*
+
+       mv "${WORKDIR}"/*.gro "${ED}${dir}" || die "failed to moved patch 1.07"
+       mv "${ED}${dir}"/Scripts/PersistentSymbols.ini "${WORKDIR}" \
+               || die "failed to moved PersistentSymbols.ini"
+
+       rm -rf \
+               
"${ED}${dir}"/{Bin,Controls,Data,Demos,Mods,Players,Scripts,Locales} \
+               || die "failed to remove directories"
+       rm -rf \
+               "${ED}${dir}"/{VirtualTrees,ModEXT.txt,Help/ShellSymbols.txt} \
+               || die "failed to remove directories"
+       mkdir "${ED}${dir}/Scripts" || die "failed create Scripts dir"
+       mv "${WORKDIR}"/PersistentSymbols.ini "${ED}${dir}/Scripts" \
+               || die "failed to moved PersistentSymbols.ini"
+
+       # Remove useless Windows files
+       rm -f 
"${ED}${dir}"/{*.exe,*.ex_,*.bmp,*.inx,*.hdr,*.bin,*.cab,*.ini,*.log} \
+               || die "Failed to remove windows cruft"
+
+       # Ensure that file datestamps from the CD are sane
+       find "${ED}${dir}"/Levels -exec touch -d '09 May 2020 14:00' '{}' \; \
+               || die "touch failed"
+}
+
+pkg_postinst() {
+       elog "Important information about the Linux port is at:"
+       elog "  https://github.com/tx00100xt/SeriousSamClassic-VK";
+       elog "    look at:"
+       elog "  https://github.com/tx00100xt/SeriousSamClassic-VK/wiki";
+       elog "   For information about of the game"
+}

Reply via email to